---

- name: Add Nomad group
  group:
    name: "{{ nomad_group }}"
    state: present

- name: Add Nomad user
  user:
    name: "{{ nomad_user }}"
    comment: Nomad user
    group: "{{ nomad_group }}"
    system: true

- name: Add hashistack to nomad group
  user:
    name: "{{ hashistack_user }}"
    groups: "{{ nomad_group }}"
    append: yes

- name: Create directories
  become: true
  file:
    dest: "{{ item.path }}"
    state: directory
    owner: "{{ item.owner }}"
    group: "{{ item.group }}"
    mode: "{{ item.mode }}"
  with_items:
    - path: "{{ nomad_config_path }}"
      mode: "0770"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_data_path }}"
      mode: "0770"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_plugin_path }}"
      mode: "0700"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_tls_certs_path }}"
      mode: "0750"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_tls_certs_shared_path }}"
      mode: "0750"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_log_path }}"
      mode: "0770"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"
      
    - path: "{{ nomad_bin_path }}"
      mode: "0755"
      owner: "{{ nomad_user }}"
      group: "{{ nomad_group }}"

    - path: "{{ nomad_env_vars_path }}"
      mode: "0755"
      owner: "{{ hashistack_user }}"
      group: "{{ hashistack_group }}"
